// info  nam="SAMPLE03A"  tit="ナンプレ"  dsc="説明用サンプル"  pro=1

BOOL fchkNUM(PCVOID pb, PCCOLI co)
{ // チェック制約
  int va = *(int *)VPtr(pb, co); return va >= 0 && va <= 9;
}

COLI ciNUM[9] = {
  { TID_I4B, ATR(2, ALN_CEN), "c1", "1", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c2", "2", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c3", "3", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c4", "4", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c5", "5", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c6", "6", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c7", "7", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c8", "8", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
  { TID_I4B, ATR(2, ALN_CEN), "c9", "9", NULL, CF_KEY|CF_HZR, NULL, fchkNUM, },
};
COLS csNUM = { ciNUM, NELEM(ciNUM) };

TBLI tiNUM[2] = {
  { &csNUM, NULL, "MON",  "問題表", },
  { &csNUM, NULL, "KAI",  "解答表", },
};
TBLS tsNUM = { tiNUM, NELEM(tiNUM) };

BDBI dbNUM = { &tsNUM, "SAMPLE03A", "ナンプレ", "説明用サンプル" };

BOOL ConnectMain(void)
{ // ナンプレ問題／解答
  int re;

  re = ConnectDBX(&dbNUM);
  if (re) NewDBFiles();
  return re;
}
